# TdApi.GetInlineQueryResults (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: GetInlineQueryResults

Package it.tdlight.jni

# Class TdApi.GetInlineQueryResults

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function
it.tdlight.jni.TdApi.GetInlineQueryResults

Enclosing class:
  TdApi

    public static class TdApi.GetInlineQueryResults
    extends TdApi.Function

Sends an inline query to a bot and returns its results. Returns an error with code 502 if the bot fails to answer the query before the query timeout expires.

Returns `InlineQueryResults`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`long` | `botUserId` | The identifier of the target bot.
`long` | `chatId` | Identifier of the chat where the query was sent.
`static int` | `CONSTRUCTOR` |
`String` | `offset` | Offset of the first entry to return.
`String` | `query` | Text of the query.
`TdApi.Location` | `userLocation` | Location of the user; pass null if unknown or the bot doesn't need user's location.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`GetInlineQueryResults()` | Sends an inline query to a bot and returns its results.
`GetInlineQueryResults​(long botUserId, long chatId, TdApi.Location userLocation, String query, String offset)` | Sends an inline query to a bot and returns its results.
`GetInlineQueryResults​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### botUserId

public long botUserId
The identifier of the target bot.

### chatId

public long chatId
Identifier of the chat where the query was sent.

### userLocation

public TdApi.Location userLocation
Location of the user; pass null if unknown or the bot doesn't need user's location.

### query

public String query
Text of the query.

### offset

public String offset
Offset of the first entry to return.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### GetInlineQueryResults

public GetInlineQueryResults()
Sends an inline query to a bot and returns its results. Returns an error with code 502 if the bot fails to answer the query before the query timeout expires.

Returns `InlineQueryResults`

### GetInlineQueryResults

public GetInlineQueryResults​(long botUserId, long chatId, TdApi.Location userLocation, String query, String offset)
Sends an inline query to a bot and returns its results. Returns an error with code 502 if the bot fails to answer the query before the query timeout expires.

Returns `InlineQueryResults`

Parameters:
  `botUserId` - long The identifier of the target bot.
  `chatId` - long Identifier of the chat where the query was sent.
  `userLocation` - Location Location of the user; pass null if unknown or the bot doesn't need user's location.
  `query` - String Text of the query.
  `offset` - String Offset of the first entry to return.

### GetInlineQueryResults

public GetInlineQueryResults​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`